Package mvpa :: Package atlases :: Module base :: Class ReferencesLevel

[hide private]
[frames] | no frames]

# Class ReferencesLevel

source code

Level which carries reference points

Instance Methods | [hide private]

__init__(self, description, indexes=[]) x.__init__(...) initializes x; see help(type(x)) for signature | source code

indexes(self) | source code

Inherited from `Level`: `__repr__`, `__str__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods | [hide private]

generateFromXML(Elevel) Simple factory of levels | source code

Class Variables | [hide private]

Inherited from `Level`: `levelType`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, description, indexes=[])
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### generateFromXML(Elevel)
Static Method

source code

Simple factory of levels

Overrides: Level.generateFromXML
  (inherited documentation)

### indexes(self)

source code

Decorators:
  - `@property`